org.apache.pdfbox.pdmodel.interactive.annotation

## Class PDAnnotationUnknown

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotation
  - - org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationUnknown

All Implemented Interfaces:
  COSObjectable

    public class PDAnnotationUnknown
    extends PDAnnotation

This is the class that represents an arbitrary Unknown Annotation type.

Author:
  Paul King

### Constructor Summary

Constructors
Constructor and Description
`PDAnnotationUnknown(COSDictionary dic)` Creates an arbitrary annotation from a COSDictionary, expected to be a correct object definition for some sort of annotation.

### Method Summary

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotation

`constructAppearances, constructAppearances, createAnnotation, equals, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceState, getBorder, getColor, getColor, getContents, getCOSObject, getModifiedDate, getNormalAppearanceStream, getOptionalContent, getPage, getRectangle, getStructParent, getSubtype, hashCode, isHidden, isInvisible, isLocked, isLockedContents, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceState, setBorder, setColor, setContents, setHidden, setInvisible, setLocked, setLockedContents, setModifiedDate, setModifiedDate, setNoRotate, setNoView, setNoZoom, setOptionalContent, setPage, setPrinted, setReadOnly, setRectangle, setStructParent, setSubtype, setToggleNoView`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDAnnotationUnknown

    public PDAnnotationUnknown(COSDictionary dic)

Creates an arbitrary annotation from a COSDictionary, expected to be a correct object definition for some sort of annotation.

Parameters:
  `dic` - The dictionary which represents this Annotation.